## terminus 3.6.0

=== CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

project (terminus)
cmake_minimum_required (VERSION 2.6)
cmake_policy (VERSION 2.8)
list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
enable_testing ()
option(ICON_UPDATE "Update the icon cache after installing" ON)
option(BUILD_VALADOC "Build API documentation if Valadoc is available" OFF)

if( NOT CMAKE_BUILD_TYPE )
	set(CMAKE_BUILD_TYPE Release)
endif()

include(GNUInstallDirs)
if( ( ${CMAKE_INSTALL_PREFIX} MATCHES "^/usr/local" ) )
	# A workaround to ensure that works 'out of the box' in Debian-based systems
	set(CMAKE_INSTALL_LIBDIR lib)
endif()

set(HAVE_VALADOC OFF)
if(BUILD_VALADOC)
	find_package(Valadoc)
	if(VALADOC_FOUND)
		set(HAVE_VALADOC ON)
		include(Valadoc)
	else()
		message("Valadoc not found, will not build documentation")
	endif()
endif()

find_package(PkgConfig)

set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gtk4)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} vte-2.91-gtk4)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} cairo)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gee-0.8)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gio-2.0)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gio-unix-2.0)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} glib-2.0)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gobject-2.0)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} harfbuzz-gobject)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} pango)

pkg_check_modules(DEPS REQUIRED ${MODULES_TO_CHECK})


find_program ( WHERE_glib_compile_resources glib-compile-resources )
if ( NOT WHERE_glib_compile_resources )
	MESSAGE(FATAL_ERROR "Error! external program 'glib-compile-resources' is not installed.")
endif()

find_program ( WHERE_gtk_update_icon_cache gtk-update-icon-cache )
if ( NOT WHERE_gtk_update_icon_cache )
	find_program ( WHERE_gtk_update_icon_cache gtk-update-icon-cache.3.0 )
	if ( NOT WHERE_gtk_update_icon_cache )
		MESSAGE(FATAL_ERROR "Error! none of the external programs 'gtk-update-icon-cache', 'gtk-update-icon-cache.3.0',  are installed.")
	endif()
endif()

find_program ( WHERE_glib_compile_schemas glib-compile-schemas )
if ( NOT WHERE_glib_compile_schemas )
	MESSAGE(FATAL_ERROR "Error! external program 'glib-compile-schemas' is not installed.")
endif()

add_subdirectory(po)
add_subdirectory(data/local)
add_subdirectory(terminus_gnome_shell45)
add_subdirectory(data)
add_subdirectory(data/dbus)
add_subdirectory(data/icons)
add_subdirectory(data/interface)
add_subdirectory(src)

=== data/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

EXECUTE_PROCESS( COMMAND glib-compile-resources --sourcedir=${CMAKE_CURRENT_SOURCE_DIR} --generate-source --target=${CMAKE_CURRENT_BINARY_DIR}/extras.gresource.xml.c ${CMAKE_CURRENT_SOURCE_DIR}/extras.gresource.xml)
EXECUTE_PROCESS( COMMAND glib-compile-resources --sourcedir=${CMAKE_CURRENT_SOURCE_DIR} --generate-header --target=${CMAKE_CURRENT_BINARY_DIR}/extras.gresource.xml.h ${CMAKE_CURRENT_SOURCE_DIR}/extras.gresource.xml)
ADD_CUSTOM_COMMAND (
	OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/extras.gresource.xml.c
	DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/extras.gresource.xml ${CMAKE_CURRENT_SOURCE_DIR}/interface/properties.ui
	COMMAND glib-compile-resources --sourcedir=${CMAKE_CURRENT_SOURCE_DIR} --generate-source --target=${CMAKE_CURRENT_BINARY_DIR}/extras.gresource.xml.c ${CMAKE_CURRENT_SOURCE_DIR}/extras.gresource.xml

	COMMAND glib-compile-resources --sourcedir=${CMAKE_CURRENT_SOURCE_DIR} --generate-header --target=${CMAKE_CURRENT_BINARY_DIR}/extras.gresource.xml.h ${CMAKE_CURRENT_SOURCE_DIR}/extras.gresource.xml
)

add_custom_target(extras_gresource_xml DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/extras.gresource.xml.c)
SET (extras_gresource_xml_C_FILE ${CMAKE_CURRENT_BINARY_DIR}/extras.gresource.xml.c PARENT_SCOPE)
SET (extras_gresource_xml_H_FILE ${CMAKE_CURRENT_BINARY_DIR}/extras.gresource.xml.h PARENT_SCOPE)
install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/terminus_showhide DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/com.rastersoft.terminus.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications/ )
if( NOT ( ${CMAKE_INSTALL_PREFIX} MATCHES "^/home/" ) )
	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/terminus_autorun.desktop DESTINATION /etc/xdg/autostart/ )
else()
	MESSAGE(STATUS "[33mAutostart file data/terminus_autorun.desktop will not be installed. You must create your own .desktop file and put it at ~/.config/autostart[39m")
endif()
include(GSettings)
add_schema(org.rastersoft.terminus.gschema.xml)

=== po/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

include (Translations)
add_translations_directory("terminus")
add_translations_catalog("terminus" ../src ../data/interface )

=== src/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

set (DATADIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}")
set (PKGDATADIR "${DATADIR}/terminus")
set (GETTEXT_PACKAGE "terminus")
set (RELEASE_NAME "terminus")
set (CMAKE_C_FLAGS "")
set (PREFIX ${CMAKE_INSTALL_PREFIX})
set (VERSION "3.6.0")
set (TESTSRCDIR "${CMAKE_SOURCE_DIR}")
set (DOLLAR "$")

configure_file (${CMAKE_SOURCE_DIR}/src/Config.vala.base ${CMAKE_BINARY_DIR}/src/Config.vala)
add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
set (VERSION "3.6.0")
add_definitions (${DEPS_CFLAGS})
link_libraries ( ${DEPS_LIBRARIES} )
link_directories ( ${DEPS_LIBRARY_DIRS} )
find_package (Vala REQUIRED)
include (ValaVersion)
ensure_vala_version ("0.30" MINIMUM)
include (ValaPrecompile)

set (VALA_PACKAGES ${VALA_PACKAGES} posix)
set (VALA_PACKAGES ${VALA_PACKAGES} gtk4)
set (VALA_PACKAGES ${VALA_PACKAGES} vte-2.91-gtk4)
set (VALA_PACKAGES ${VALA_PACKAGES} cairo)
set (VALA_PACKAGES ${VALA_PACKAGES} gee-0.8)
set (VALA_PACKAGES ${VALA_PACKAGES} gio-2.0)
set (VALA_PACKAGES ${VALA_PACKAGES} gio-unix-2.0)
set (VALA_PACKAGES ${VALA_PACKAGES} glib-2.0)
set (VALA_PACKAGES ${VALA_PACKAGES} gobject-2.0)
set (VALA_PACKAGES ${VALA_PACKAGES} harfbuzz-gobject)
set (VALA_PACKAGES ${VALA_PACKAGES} pango)

set (APP_SOURCES ${APP_SOURCES} ${CMAKE_CURRENT_BINARY_DIR}/Config.vala)
set (APP_SOURCES ${APP_SOURCES} PanedPercentage.vala)
set (APP_SOURCES ${APP_SOURCES} base.vala)
set (APP_SOURCES ${APP_SOURCES} container.vala)
set (APP_SOURCES ${APP_SOURCES} css.vala)
set (APP_SOURCES ${APP_SOURCES} definitions.vala)
set (APP_SOURCES ${APP_SOURCES} dndManager.vala)
set (APP_SOURCES ${APP_SOURCES} keybinding.vala)
set (APP_SOURCES ${APP_SOURCES} macros.vala)
set (APP_SOURCES ${APP_SOURCES} notetab.vala)
set (APP_SOURCES ${APP_SOURCES} palete.vala)
set (APP_SOURCES ${APP_SOURCES} params.vala)
set (APP_SOURCES ${APP_SOURCES} processes.vala)
set (APP_SOURCES ${APP_SOURCES} settings.vala)
set (APP_SOURCES ${APP_SOURCES} terminal.vala)
set (APP_SOURCES ${APP_SOURCES} terminus.vala)
set (APP_SOURCES ${APP_SOURCES} window.vala)


if ((${CMAKE_BUILD_TYPE} STREQUAL "Debug") OR (${CMAKE_BUILD_TYPE} STREQUAL "RelWithDebInfo"))
	set(COMPILE_OPTIONS ${COMPILE_OPTIONS} "-g")
endif()

set (COMPILE_OPTIONS ${COMPILE_OPTIONS} --gresources=${CMAKE_SOURCE_DIR}/data/extras.gresource.xml )
include_directories (AFTER . )

vala_precompile(VALA_C terminus
	${APP_SOURCES}
PACKAGES
	${VALA_PACKAGES}
)

SET (VALA_C ${VALA_C} ${extras_gresource_xml_C_FILE})
add_executable(terminus ${VALA_C})
set ( terminus_DEPENDENCIES ${terminus_DEPENDENCIES} extras_gresource_xml )
add_dependencies( terminus ${terminus_DEPENDENCIES} )


install(TARGETS
	terminus
RUNTIME DESTINATION
	${CMAKE_INSTALL_BINDIR}
)
if(HAVE_VALADOC)
	valadoc(terminus
		${CMAKE_BINARY_DIR}/valadoc/terminus
		${APP_SOURCES}
	PACKAGES
		${VALA_PACKAGES}
	CUSTOM_VAPIS
		${CUSTOM_VAPIS_LIST}
	)
	install(DIRECTORY
		${CMAKE_BINARY_DIR}/valadoc
	DESTINATION
		${CMAKE_INSTALL_DATAROOTDIR}/doc/terminus
	)
endif()

=== terminus_gnome_shell45/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

IF(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/extension.js)
	install(DIRECTORY
		${CMAKE_CURRENT_SOURCE_DIR}/extension.js
	DESTINATION
		share/gnome-shell/extensions/showTerminusQuakeWindow@rastersoft.com
	)
ELSE()
	install(FILES
		${CMAKE_CURRENT_SOURCE_DIR}/extension.js
	DESTINATION
		share/gnome-shell/extensions/showTerminusQuakeWindow@rastersoft.com
	)
ENDIF()

IF(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/metadata.json)
	install(DIRECTORY
		${CMAKE_CURRENT_SOURCE_DIR}/metadata.json
	DESTINATION
		share/gnome-shell/extensions/showTerminusQuakeWindow@rastersoft.com
	)
ELSE()
	install(FILES
		${CMAKE_CURRENT_SOURCE_DIR}/metadata.json
	DESTINATION
		share/gnome-shell/extensions/showTerminusQuakeWindow@rastersoft.com
	)
ENDIF()

=== data/icons/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/terminus.svg DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps/)
if( NOT (${ICON_UPDATE} STREQUAL "OFF" ))
	find_program ( GTK_UPDATE_ICON_CACHE NAMES gtk-update-icon-cache.3.0 gtk-update-icon-cache )
	install (CODE "execute_process ( COMMAND ${GTK_UPDATE_ICON_CACHE} -f -t ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor )" )
ENDIF()

=== data/interface/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

=== data/local/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

file(GLOB list_data RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *)
foreach(file_data ${list_data})
	IF(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${file_data})
		install(DIRECTORY
			${file_data}
		DESTINATION
			${CMAKE_INSTALL_DATAROOTDIR}/terminus
		)
	ELSE()
		install(FILES
			${file_data}
		DESTINATION
			${CMAKE_INSTALL_DATAROOTDIR}/terminus
		)
	ENDIF()
endforeach()

=== debian/changelog ===
terminus (3.6.0-3) unstable; urgency=medium

  * Switch build system from cmake to meson to avoid blhc whining

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 16 Feb 2026 14:10:20 +0000

terminus (3.6.0-2) unstable; urgency=medium

  * Track upstream Gnome 49 support
  * Bump policy
  * Refresh packaging scripts

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 16 Feb 2026 11:50:14 +0000

terminus (3.6.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113567)

 -- Adrian Bunk <bunk@debian.org>  Sun, 30 Nov 2025 06:06:21 +0200

terminus (3.6.0-1) unstable; urgency=medium

  * Update debian/watch uscan support due to gitlab churn
  * New upstream version
  * Bump policy
  * Rules requires root now defaults to no
  * Merge upstream debian/ changes into debian/control

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 23 Aug 2025 10:50:32 +0100

=== debian/control ===
Source: terminus
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Section: misc
Standards-Version: 4.7.3
Build-Depends: debhelper-compat (= 13),
	valac,
	meson, ninja-build,
	libatk1.0-dev, libcairo2-dev,
	libgtk-3-dev, libgdk-pixbuf-2.0-dev, libgee-0.8-dev,
	libglib2.0-dev, libpango1.0-dev,
	libvte-2.91-gtk4-dev, libx11-dev, intltool
Homepage: https://gitlab.com/rastersoft/terminus
Vcs-Git: https://salsa.debian.org/debian/terminus.git
Vcs-Browser: https://salsa.debian.org/debian/terminus

Package: terminus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglib2.0-bin
Description: Drop-down or in-window terminal for X11 and Wayland
 A new-generation (post-Guake) terminal for X11 and Wayland featuring
 a hot-key Quake-console-like drop-down mode. Other features include a
 scroll-back buffer, multiple tabs, split screen both horizontal and
 vertical, and the usual compatibility features.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

execute_after_dh_auto_install:
	@echo "Remove inappropriate file installed by upstream build scripts."
	-rm --verbose debian/terminus/usr/share/terminus/CMakeLists.txt

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.md

# override_dh_installman: debian/terminus.1
# 	dh_installman

override_dh_dwz:
	@echo "skipping dh_dwz which gets a mysterious error:"
	@echo "dh_dwz: dwz -q -- debian/terminus/usr/bin/terminus returned exit code 1"

# Automatically-generated man page.
# Do this manually:
#  rm debian/terminus.1
#  debian/rules build
#  debian/rules TERMINUS=obj-*/src/terminus debian/terminus.1
TERMINUS=terminus
debian/terminus.1:
	help2man --no-info \
	 --version-string="$(DEB_VERSION)" \
	 --name="$(shell egrep '^Description: ' debian/control | head -1 | sed 's/Description: //')" \
	 $(TERMINUS) > $@

=== debian/watch ===
Version: 5

Template: GitLab
Dist: https://gitlab.com/rastersoft/@PACKAGE@
